ros-humble-tiago-pro-controller-configuration (1.35.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 10 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.35.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 09 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.35.2-1jammy) jammy; urgency=high

  * delete teleop end effectors
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 05 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.35.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 03 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.35.0-1jammy) jammy; urgency=high

  * change name from teleop_basestation to pilot_station
  * delete not necessary PIDs (to retune)
  * delete cartesian force not used
  * update modules with ee_teleop
  * add test for xacro
  * add grippers actuators pids to improve ctrl
  * remove not used params in cartesian forc ctrl
  * add end_effector_teleop_right and end_effector_teleop_left in files
  * add basestation urdf
  * add pids yaml for gripper
  * Adding haptic feeback info to params
  * add motion for teleop task
  * add cartesian controller for teleop left arm
  * add gravity compensation teleop left and right
  * add modules and fix default controllers
  * add teleop args
  * Contributors: ileniaperrella, vivianamorlando

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 02 Feb 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.34.3-1jammy) jammy; urgency=high

  * correcting gains
  * rm unused file
  * Contributors: vivianamorlando

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 28 Jan 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.34.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 27 Jan 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.34.1-1jammy) jammy; urgency=high

  * Add "Hardware Components Activity" module dependency
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 08 Jan 2026 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.34.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 15 Dec 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.33.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 05 Dec 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.32.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 28 Nov 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.32.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 12 Nov 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.32.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 03 Nov 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.32.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 23 Oct 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.31.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 21 Oct 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.31.1-1jammy) jammy; urgency=high

  * preparing pkg for public release
  * Contributors: andreacapodacqua

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 13 Oct 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.31.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 27 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.30.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 05 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.30.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 01 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.29.5-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 01 Aug 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.29.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 18 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.29.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 16 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.29.2-1jammy) jammy; urgency=high

  * Fix missing quote for tsid_default_controllers module
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 10 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.29.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 10 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.29.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 08 Jul 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.28.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 18 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.27.1-1jammy) jammy; urgency=high

  * Temporal fix for torso tolerance
  * Contributors: Aina Irisarri

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 17 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.27.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.26.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 05 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.26.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 05 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.26.2-1jammy) jammy; urgency=high

  * Adding conditions to properly start the SEA broadcaster
  * Contributors: oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.26.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 03 Jun 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.26.0-1jammy) jammy; urgency=high

  * Adding check to the broadcaster
  * Adding missing launch of the gravity controller in torque mode
  * Launching the SEA broadcaster and basic calibration movements
  * Contributors: oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.8-1jammy) jammy; urgency=high

  * reduce to 1cm
  * update trajectory tolerance
  * update torso controller with trajectory constraint
  * fix pipeline
  * delete whitespace
  * fix whitespace
  * add cartesian vel diff local frame
  * update manipulation cube
  * update x of the manipulation cube
  * update gains for joint_space_controller_vel
  * update gains for cartesian velocity
  * remove torso_lift_joint for cartesian controller
  * fix name from triago to tiagopro
  * update yaml with new gains and namespaces
  * separate cartesian_vel gains
  * add manipulation cube
  * update tsid_default_controllers launch file
  * update gains
  * Fix typo in module
  * Add torso joint space controller
  * Add tsid controllers dependency
  * Rename torso param files
  * Add tsid controllers module
  * Add launch file to load tsid controllers
  * Add tsid controller param files, templated
  * fix tiago pro instead of triago
  * add forward velocity control for the arms
  * Contributors: David ter Kuile, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 28 May 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.7-1jammy) jammy; urgency=high

  * Merge branch 'omm/inertia_shaping_controllers' into 'humble-devel'
    Launching the inertia shaping controllers if torque_estimation enabled
    See merge request robots/tiago_pro_robot!125
  * Linters
  * Launching the inertia shaping controllers if torque_estimation enabled
  * Contributors: oscarmartinez, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 19 May 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.6-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 08 May 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.5-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 02 May 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.4-1jammy) jammy; urgency=high

  * Add motion file for allegro and rebase
  * Add allegro hand controller
  * Contributors: Aina

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.3-1jammy) jammy; urgency=high

  * Simplify gravity compensation
  * Remove unused param files
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 02 Apr 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.1-1jammy) jammy; urgency=high

  * Simplify arm controllers
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 31 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.25.0-1jammy) jammy; urgency=high

  * Adding proper module config
  * Support for SEA in the controllers
  * Contributors: oscarmartinez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 27 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.24.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 25 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.23.4-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 25 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.23.3-1jammy) jammy; urgency=high

  * Remove unused imu broadcaster
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 18 Mar 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.23.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 28 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.23.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 27 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.23.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.22.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 18 Feb 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.22.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 23 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.22.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 22 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.21.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 16 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.20.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 07 Jan 2025 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.19.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 10 Dec 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.18.0-1jammy) jammy; urgency=high

  * Add head controller
  * Change head controller path
  * Contributors: Aina

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 02 Dec 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.17.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.16.0-1jammy) jammy; urgency=high

  * Remove unused arm config files
    Config files are taken from pal_sea_arm on its launcher
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.15.0-1jammy) jammy; urgency=high

  * update motor torque constant for pal-pro-gripper (temporary)
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.14.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.14.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 30 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.14.0-1jammy) jammy; urgency=high

  * add gravity compensation dependency
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 29 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.13.0-1jammy) jammy; urgency=high

  * Set update_rate for joint_state_broadcaster
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 29 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.12.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 28 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.12.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 28 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.11.0-1jammy) jammy; urgency=high

  * fix typo
  * update params for gravity compensation
  * delete wrong joint impedance controller
  * open loop arg set as true
  * add dependency for omni_base_controller_configuration
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 25 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.10.1-1jammy) jammy; urgency=high

  * Merge branch 'fix/gravity-spawn' into 'humble-devel'
    Use Unless condition on the load of gravity compensation
    See merge request robots/tiago_pro_robot!78
  * Use Unless condition on the load of gravity compensation
  * Merge branch 'air/feat/arm_controllers' into 'humble-devel'
    Change back the arm controllers into the default controllers
    See merge request robots/tiago_pro_robot!79
  * Change back the arm controllers into the default controllers
  * Contributors: Aina, ileniaperrella, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 22 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.10.0-1jammy) jammy; urgency=high

  * load gravity as default controller (only params)
  * Contributors: ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 21 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.9.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 11 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.8.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 02 Oct 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.8.1-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 27 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.8.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 19 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.7.0-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 12 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.6.0-1jammy) jammy; urgency=high

  * set head controller to perform open loop control
  * Contributors: lorenzoferrini

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 10 Sep 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.5.0-1jammy) jammy; urgency=high

  * Refactor mobile_base_controller launch
  * Contributors: David ter Kuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.4.0-1jammy) jammy; urgency=high

  * Add confif file for mobile base from omni_base package
  * Contributors: Aina

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.3.0-1jammy) jammy; urgency=high

  * Change arm controllers launch to the arm_controller launch file
  * fix usi_sim_condition
  * Add arm default controller launch file and module
  * Add arm_controller launch file
  * Add condition for arms controllers
  * Contributors: Aina

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 08 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.2.0-1jammy) jammy; urgency=high

  * Use controller_type from the controllers config
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 07 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.1.0-1jammy) jammy; urgency=high

  * update gravity compensation conf file
  * fix typo on reduction_ratio param
  * root link changed
  * controller name not the same as defined in the launch file
  * Remove use_stamped_vel parameter
  * Contributors: Noel Jimenez, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 05 Aug 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.13-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * change module name into 20_*
  * Contributors: Aina, Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.12-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix-gazebo-urdf' into 'humble-devel'
    Dtk/fix gazebo urdf
    See merge request robots/tiago_pro_robot!51
  * Add imu sensor broadcaster
  * Contributors: David ter Kuile, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 27 Jun 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.11-1jammy) jammy; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change import for launch args
    See merge request robots/tiago_pro_robot!50
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.10-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 22 May 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.9-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 09 May 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.8-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.7-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 18 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.6-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 17 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.5-1jammy) jammy; urgency=high

  * Merge branch 'dtk/feat/add-modules' into 'humble-devel'
    Dtk/feat/add modules
    See merge request robots/tiago_pro_robot!32
  * Remove gravity_compensation_controller
  * Change module number prefix to 10
  * Add modules
  * Contributors: David ter Kuile, Noel Jimenez, davidterkuile

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.4-1jammy) jammy; urgency=high

  * Add ros2controlcli dependency
  * Contributors: Noel Jimenez

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 26 Mar 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 26 Mar 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.1-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/restructure' into 'humble-devel'
    Dtk/fix/restructure
    See merge request robots/tiago_pro_robot!28
  * update copyright year
  * Add conditional launch for mobile base controller
  * Remove unused imports for flake test
  * Add missing bracked
  * Restructure launch files controller_configuration
  * Merge branch 'dtk/fix/add-hector-gazebo-plugin' into 'humble-devel'
    Add force_based_move gazebo plugin for omni base
    See merge request robots/tiago_pro_robot!27
  * fix linters
  * added hector_gazebo_plugin dep and disabled mobile base controller in simulation
  * Merge branch 'dtk/fix/camera-simulation' into 'humble-devel'
    Dtk/fix/camera simulation
    See merge request robots/tiago_pro_robot!26
  * Update linter issues
  * integrate mobile_base_controller
  * Contributors: David ter Kuile, andreacapodacqua, davidterkuile, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (1.0.0-1jammy) jammy; urgency=high

  * Merge branch 'ros2-migration' into 'humble-devel'
    Ros2 migration
    See merge request robots/tiago_pro_robot!23
  * Migrate to new version of gravity_compensation_controller
  * fix depend name
  * remote type of the controllers in the yaml (not necessary already in
    the launch)
  * adding missing dep
  * duplicated file
  * update to 3.8 the cmake_minimum_required Version
  * delete export not needed
  * update launch files with launch_pal structure
  * migration launch files
  * CMakeLists and package files
  * config files
  * migration of CMakeLists.txt and package.xml to ros2
  * Contributors: Adria Roig, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 30 Jan 2024 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.11-1jammy) jammy; urgency=high

  * Merge branch 'smooth_position_control' into 'master'
    Smooth position control
    See merge request robots/tiago_pro_robot!20
  * Modify parameters for direct_position_control
  * Add parameters for direct_position_control
  * Contributors: Adria Roig, Sai Kishor Kothakota

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 08 Nov 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.10-1jammy) jammy; urgency=high

  * Merge branch 'change_name' into 'master'
    Change tiago_v2_prototype to tiago_pro + move arm to an external package
    See merge request robots/tiago_pro_robot!16
  * Change tiago_v2_prototype to tiago_pro + move arm to an external package
  * Contributors: Jordan Palacios, thomaspeyrucain

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Fri, 20 Oct 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.9-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Thu, 25 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.8-1jammy) jammy; urgency=high

  * Merge branch 'wbc_per_arm' into 'master'
    Wbc per arm
    See merge request robots/tiago_pro_robot!10
  * added the wbc_controllers launch to controller configuration
  * fix direct_control adding more args to control separately arm left and arm right
  * moved the direct_control launch to launch folder
  * Contributors: Sai Kishor Kothakota, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 24 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.7-1jammy) jammy; urgency=high

  * update the impedance gains on the robot
  * Contributors: Sai Kishor Kothakota

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 24 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.6-1jammy) jammy; urgency=high

  * Merge branch 'gravity_compensation_per_arm' into 'master'
    added another launch file for gravity compensation where with the arg side it...
    See merge request robots/tiago_pro_robot!9
  * load the parameters of the gravity compnesation with ros_bringup
  * make gravity_compensation_controller per arm launch more generic
  * added another launch file for gravity compensation where with the arg side it is possible to 1 arm instead of both
  * Merge branch 'impedance-controllers' into 'master'
    Impedance controllers
    See merge request robots/tiago_pro_robot!8
  * increase the timeout of the imepdance controllers
  * remove the start of gripper controllers
  * impedance kp kd updated
  * fix config file directory
  * updated actuators params for gravity compensation
  * impedance controllers files for both arms
  * gripper controllers added
  * Merge branch 'fix_motions' into 'master'
    Fix motions
    See merge request robots/tiago_pro_robot!7
  * Update the acceleration and velocity limits for the mobile base controller
  * Contributors: Sai Kishor Kothakota, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Wed, 24 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.5-1jammy) jammy; urgency=high

  * added timeout to the joint_state_controller
  * Contributors: Sai Kishor Kothakota

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Mon, 22 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.4-1jammy) jammy; urgency=high

  * Merge branch 'flip_arm_link_3' into 'master'
    remove joy_teleop from bringup and use startup as the incrementer server is...
    See merge request robots/tiago_pro_robot!6
  * added the missing head_action dependency
  * Don't start actuator pid controllers and position controllers by default, and handle it by an application
  * added the point head action to the default controllers launch file
  * load the mobile_base_controller and increase the timeout to 300 seconds
  * Contributors: Sai Kishor Kothakota

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Sat, 20 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.3-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.2-1jammy) jammy; urgency=high



 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 May 2023 00:00:00 -0000

ros-humble-tiago-pro-controller-configuration (0.0.1-1jammy) jammy; urgency=high

  * Added gravity compensation controller dependency
  * Merge branch 'new_v2_bringup' into 'master'
    New v2 bringup and urdf
    See merge request robots/tiago_pro_robot!1
  * Added head_controller to joint_trajectory_controllers.yaml
  * Merge branch 'play-motion' into 'new_v2_bringup'
    Play motion
    See merge request robots/tiago_pro_robot!3
  * update the motor torque constants to proper values
  * delete files copied from canopies pkgs
  * Merge branch 'gripper-integration' into 'new_v2_bringup'
    Grippers integration
    See merge request robots/tiago_pro_robot!2
  * gripper controller params set in the current pkg
  * controller added for grippers
  * grippers robotiq-2f-85 added for both arms
  * Update the motor torque constants for the left and the right arm
  * Update the robot model chaines for the gravity compensation controller
  * remove the invalid torso_yaw_joint configuration
  * reenable right_7_joint
  * Disabling arm right 7 temporarily
  * Adding missing arm controllers
  * added the configuration of the gravity compenesation from canopies configuration
  * added the bringup package and the configuration
  * update for new arms placement
  * Add arm controllers
  * First commit
  * Contributors: Jordan Palacios, Luca Marchionni, Narcis Miguel, Sai Kishor Kothakota, ileniaperrella

 -- Narcis Miguel <narcis.miguel@pal-robotics.com>  Tue, 16 May 2023 00:00:00 -0000


